## django-auth-ldap 1.0.14

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS	  =
SPHINXBUILD	  = sphinx-build
PAPER		  =

# Internal variables.
PAPEROPT_a4		= -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS	= -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "	 html	   to make standalone HTML files"
	@echo "	 dirhtml   to make HTML files named index.html in directories"
	@echo "	 pickle	   to make pickle files"
	@echo "	 json	   to make JSON files"
	@echo "	 htmlhelp  to make HTML files and a HTML help project"
	@echo "	 qthelp	   to make HTML files and a qthelp project"
	@echo "	 latex	   to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "	 changes   to make an overview of all changed/added/deprecated items"
	@echo "	 linkcheck to check all external links for integrity"
	@echo "	 doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
		  ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
		  ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/django-auth-ldap.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/django-auth-ldap.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run 'make all-pdf' or 'make all-ps' in that directory to" \
		  "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
		  "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
		  "results in _build/doctest/output.txt."

zip:
	rm _build/html.zip || true
	cd _build/html && zip -R ../html.zip '*' -x .buildinfo -x '_sources/*'

## django-auth-ldap 1.0.5

=== debian/changelog ===
django-auth-ldap (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Tue, 22 Jun 2010 10:59:16 +0200

django-auth-ldap (1.0.4-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add Vcs-* fields.
  * Set Debian Python Modules Packaging Team as Uploaders.
  * Use DEP5 for copyright file.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 07 Jun 2010 08:21:29 +0200

django-auth-ldap (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #575817)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Fri, 02 Apr 2010 08:48:43 +0200

=== debian/control ===
Source: django-auth-ldap
Section: python
Priority: optional
Maintainer: Fladischer Michael <FladischerMichael@fladi.at>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.3), python-support, 
 python-django, python-pysqlite2
Standards-Version: 3.8.4
Homepage: http://pypi.python.org/pypi/django-auth-ldap/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-auth-ldap/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-auth-ldap/trunk/

Package: python-django-auth-ldap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django, python-ldap
Description: Django LDAP authentication backend
 Django authentication backend that authenticates against an LDAP 
 service. Configuration can be as simple as a single distinguished 
 name template, but there are many rich configuration options for 
 working with users, groups, and permissions.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	django-admin startproject testproject
	echo 'DATABASE_ENGINE = "sqlite3"' > testproject/settings.py
	echo 'DATABASE_NAME = "testproject/test.db3"' >> testproject/settings.py
	echo 'INSTALLED_APPS = ["django_auth_ldap","django.contrib.auth","django.contrib.contenttypes","django.contrib.admin","django.contrib.sites","django.contrib.sessions"]' >> testproject/settings.py
	echo 'SITE_ID = 1' >> testproject/settings.py
	echo 'ROOT_URLCONF = "testproject.urls"' >> testproject/settings.py
	for python in $(shell pyversions -r); do \
	  rm -f testproject/test.db3 ; \
	  PYTHONPATH=".:src" $$python testproject/manage.py syncdb --settings=testproject.settings --noinput ;\
	  PYTHONPATH=".:src" $$python testproject/manage.py test --settings=testproject.settings ; \
	done
	rm -rf testproject
endif

## django-auth-ldap 1.0.7

=== debian/changelog ===
django-auth-ldap (1.0.7-1) experimental; urgency=low

  * New upstream release.
  * Bumped version of Debian policy compliance to 3.9.1 (nothing to do).
  * Include documentation. (Closes: #600634)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Thu, 30 Dec 2010 23:19:00 +0100

=== debian/control ===
Source: django-auth-ldap
Section: python
Priority: optional
Maintainer: Fladischer Michael <FladischerMichael@fladi.at>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.3), python-support, 
 python-django, python-sphinx
Standards-Version: 3.9.1
Homepage: http://pypi.python.org/pypi/django-auth-ldap/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-auth-ldap/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-auth-ldap/trunk/

Package: python-django-auth-ldap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django, python-ldap (>= 2.0)
Description: Django LDAP authentication backend
 Django authentication backend that authenticates against an LDAP 
 service. Configuration can be as simple as a single distinguished 
 name template, but there are many rich configuration options for 
 working with users, groups, and permissions.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,15 @@
 #!/usr/bin/make -f
 %:
 	dh $@
+
+
+override_dh_installdocs:
+	make -C docs html
+	rm docs/_build/html/._index.html
+	rm docs/_build/html/_sources/._index.txt
+	dh_installdocs
+	rm debian/python-django-auth-ldap/usr/share/doc/python-django-auth-ldap/html/_static/jquery.js
+	ln -s ../../../../javascript/jquery/jquery.js debian/python-django-auth-ldap/usr/share/doc/python-django-auth-ldap/html/_static/jquery.js
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## django-auth-ldap 1.0.12

=== debian/changelog ===
django-auth-ldap (1.0.12-1) UNRELEASED; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Update DEP5 format.
  * Drop debian/pyversions in favour of XS-Python-Version.
  * Set PMPT as maintainer and myself as uploader.
  * Simplify debian/rules by using static settings.py.
  * Remove bogus docs/._index.rst ahead of building documentation.
  * Streamline packaging code with wrap-and-sort.
  * Switch to dh_python2.
  * Update database settings for unit tests to comply with Django 1.3.
  * Clean up documentation after build.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Use dh_sphinxdoc.
  * Change build path for documentation.
  * Ship documentation in separate package.
  * Use override_dh_auto_build to build documentation.
  * Update copyright year in d/copyright.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Sat, 01 Oct 2011 15:22:55 +0200

=== debian/control ===
Source: django-auth-ldap
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-django,
               python-sphinx
Standards-Version: 3.9.2
X-Python-Version: >= 2.3
Homepage: http://pypi.python.org/pypi/django-auth-ldap/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-auth-ldap/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-auth-ldap/trunk/

Package: python-django-auth-ldap
Architecture: all
Depends: python-django, python-ldap (>= 2.0), ${misc:Depends}, ${python:Depends}
Suggests: python-django-auth-ldap-doc
Description: Django LDAP authentication backend
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.

Package: python-django-auth-ldap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Django LDAP authentication backend (documentation)
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	django-admin startproject testproject
	cp debian/settings.py testproject/settings.py
	for python in $(shell pyversions -r); do \
	  rm -f testproject/test.db3 ; \
	  PYTHONPATH=".:src" $$python testproject/manage.py syncdb --settings=testproject.settings --noinput ;\
	  PYTHONPATH=".:src" $$python testproject/manage.py test --settings=testproject.settings ; \
	done
	rm -rf testproject
endif

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf docs/.build/
	dh_clean

## django-auth-ldap 1.0.14

=== debian/changelog ===
django-auth-ldap (1.0.14-1) UNRELEASED; urgency=low

  * New upstream release.
  * B-D on python-sphinx (>= 1.0.7+dfsg).
  * Change order of my name.
  * Temporary fix for Metadata-Version in django_auth_ldap-1.0.14.egg-
    info.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 09 Jan 2012 12:31:28 +0100

django-auth-ldap (1.0.12-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Update DEP5 format.
  * Drop debian/pyversions in favour of XS-Python-Version.
  * Set PMPT as maintainer and myself as uploader.
  * Simplify debian/rules by using static settings.py.
  * Remove bogus docs/._index.rst ahead of building documentation.
  * Streamline packaging code with wrap-and-sort.
  * Switch to dh_python2.
  * Update database settings for unit tests to comply with Django 1.3.
  * Clean up documentation after build.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Use dh_sphinxdoc.
  * Change build path for documentation.
  * Ship documentation in separate package.
  * Use override_dh_auto_build to build documentation.
  * Update copyright year in d/copyright.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 03 Oct 2011 07:20:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-django,
-               python-sphinx
+               python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.3
 Homepage: http://pypi.python.org/pypi/django-auth-ldap/

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,8 @@
 override_dh_clean:
 	rm -rf docs/.build/
 	dh_clean
+
+.PHONY: override_dh_auto_install
+override_dh_auto_install:
+	dh_auto_install
+	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/tmp/usr/lib/python2.*/*-packages/django_auth_ldap-*.egg-info

## django-auth-ldap 1.0.18

=== debian/changelog ===
django-auth-ldap (1.0.18-1) unstable; urgency=low

  * New upstream release.
  * Update years in d/copyright.
  * Update DEP-5 URL to 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 16 Mar 2012 09:28:59 +0100

django-auth-ldap (1.0.14-1) unstable; urgency=low

  * New upstream release.
  * B-D on python-sphinx (>= 1.0.7+dfsg).
  * Change order of my name.
  * Temporary fix for Metadata-Version in django_auth_ldap-1.0.14.egg-
    info.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 09 Jan 2012 12:31:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-django,
                python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.3
 Homepage: http://pypi.python.org/pypi/django-auth-ldap/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-auth-ldap/trunk/

## django-auth-ldap 1.0.19

=== debian/changelog ===
django-auth-ldap (1.0.19-2) unstable; urgency=low

  * Make dependency on python-django unversioned again.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 08 Jul 2012 20:03:30 +0200

django-auth-ldap (1.0.19-1) unstable; urgency=low

  * New upstream release.
  * Fix tests for django (>= 1.4) FTBFS (Closes: #669486).
  * Bump dependency on python-django to (>= 1.2).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 08 Jul 2012 14:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
-               python-django,
+               python-django (>= 1.2),
                python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.3

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,15 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	django-admin startproject testproject
-	cp debian/settings.py testproject/settings.py
+	if [ -d testproject/testproject ]; then \
+		cp debian/settings.py testproject/testproject/settings.py; \
+	else \
+		cp debian/settings.py testproject ; \
+	fi
 	for python in $(shell pyversions -r); do \
 	  rm -f testproject/test.db3 ; \
-	  PYTHONPATH=".:src" $$python testproject/manage.py syncdb --settings=testproject.settings --noinput ;\
-	  PYTHONPATH=".:src" $$python testproject/manage.py test --settings=testproject.settings ; \
+	  PYTHONPATH=".:src:testproject" $$python testproject/manage.py syncdb --settings=testproject.settings --noinput ;\
+	  PYTHONPATH=".:src:testproject" $$python testproject/manage.py test --settings=testproject.settings django_auth_ldap ; \
 	done
 	rm -rf testproject
 endif

## django-auth-ldap 1.1.7

=== debian/changelog ===
django-auth-ldap (1.1.7-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release (Closes: #678703).
  * Add python-setuptools to Build-Depends, upstream switched from distutils
    to setuptools.
  * Bump python version support to >= 2.5.
  * Bump dependency on Django to >= 1.3.
  * Bump Standards-Version to 3.9.5.
  * Bump debhelper in Build-Depends to >= 8.1.0~.
  * Drop unnecessary versioned dependencies in Depends and Build-Depends:
    + python-all
    + python-ldap
  * Ommit installing archived documentation:
    + Add patch docs-do_not_install_archive.patch.
  * Use locally installed objects.inv for intersphinx mapping:
    + Add patch docs-use_local_intersphinx_mapping.patch.
    + Add python-doc to Build-Depends.
    + Add python-django-doc to Build-Depends.
  * Format packaging files with wrap-and-sort.
  * Change documentation source directory for sphinx.
  * Update years in d/copyright.
  * Drop temporary fix for PKG-INFO.
  * Run dh_clean in override target.
  * Clean django_auth_ldap.egg-info/SOURCES.txt after each build.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 26 Nov 2013 08:57:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,26 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 7.0.50~),
-               python-all (>= 2.6.6-3~),
-               python-django (>= 1.2),
+Build-Depends: debhelper (>= 8.1.0~),
+               python-all,
+               python-django (>= 1.3),
+               python-django-doc (>= 1.3),
+               python-doc,
+               python-ldap,
+               python-setuptools,
                python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
-X-Python-Version: >= 2.3
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/django-auth-ldap/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-auth-ldap/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-auth-ldap/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-auth-ldap/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-auth-ldap/trunk/
 
 Package: python-django-auth-ldap
 Architecture: all
-Depends: python-django, python-ldap (>= 2.0), ${misc:Depends}, ${python:Depends}
+Depends: python-django (>= 1.3),
+         python-ldap,
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: python-django-auth-ldap-doc
 Description: Django LDAP authentication backend
  Django authentication backend that authenticates against an LDAP

## django-auth-ldap 1.1.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS	  =
SPHINXBUILD	  = sphinx-build
PAPER		  =
BUILDDIR          = build

# Internal variables.
PAPEROPT_a4	= -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS	= -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "	 html	   to make standalone HTML files"
	@echo "	 dirhtml   to make HTML files named index.html in directories"
	@echo "	 pickle	   to make pickle files"
	@echo "	 json	   to make JSON files"
	@echo "	 htmlhelp  to make HTML files and a HTML help project"
	@echo "	 qthelp	   to make HTML files and a qthelp project"
	@echo "	 latex	   to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "	 changes   to make an overview of all changed/added/deprecated items"
	@echo "	 linkcheck to check all external links for integrity"
	@echo "	 doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
		  ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
		  ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-auth-ldap.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-auth-ldap.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run 'make all-pdf' or 'make all-ps' in that directory to" \
		  "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
		  "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
		  "results in $(BUILDDIR)/doctest/output.txt."

zip:
	rm $(BUILDDIR)/html.zip || true
	cd $(BUILDDIR)/html && zip -R ../html.zip '*' -x .buildinfo

=== debian/changelog ===
django-auth-ldap (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Update years in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Feb 2014 09:55:01 +0100

django-auth-ldap (1.1.7-2) unstable; urgency=medium

  * Add mockldap to Build-Depends, reenabling tests.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 27 Dec 2013 14:39:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                python-django-doc (>= 1.3),
                python-doc,
                python-ldap,
+               python-mockldap,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html
 	dh_auto_build
 
 .PHONY: override_dh_auto_test
@@ -29,8 +29,3 @@
 override_dh_clean:
 	rm -rf docs/.build/
 	dh_clean
-
-.PHONY: override_dh_auto_install
-override_dh_auto_install:
-	dh_auto_install
-	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/tmp/usr/lib/python2.*/*-packages/django_auth_ldap-*.egg-info

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/django-auth-ldap/django-auth-ldap-([\d\.]*)\.tar\.gz

## django-auth-ldap 1.2.0+dfsg

=== debian/changelog ===
django-auth-ldap (1.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove minified JavaScript files from source tarball.
  * Mangle "+dfsg" in debian/watch.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key D0FA0E76.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 12:54:38 +0200

## django-auth-ldap 1.2.2+dfsg

=== debian/changelog ===
django-auth-ldap (1.2.2+dfsg-1) unstable; urgency=low

  * New upstream relese (Closes: #755588).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Remove superfluous install file.
  * Use upstream test environment.
  * Rename license to BSD-2-clause.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 23 Sep 2014 21:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 8.1.0~),
+               dh-python,
                python-all,
-               python-django (>= 1.3),
-               python-django-doc (>= 1.3),
+               python-django (>= 1.7~),
+               python-django-doc (>= 1.7~),
                python-doc,
                python-ldap,
                python-mockldap,

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/d/django-auth-ldap/django-auth-ldap-([\d\.]*)\.tar\.gz

## django-auth-ldap 1.2.6+dfsg

=== debian/changelog ===
django-auth-ldap (1.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Use pypi.debian.net service for uscan.
  * Add repacksuffix to d/watch for DFSG-compliant repacks.
  * Add dversionmangle for DFSG-repack to d/watch.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 May 2015 09:59:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 8.1.0~),
                dh-python,
                python-all,
@@ -13,7 +13,7 @@
                python-mockldap,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/django-auth-ldap/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-auth-ldap/trunk/

## django-auth-ldap 1.2.7%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-auth-ldap

%:
	dh $@ --with=python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  PYTHONPATH=".:test" $$python test/manage.py test django_auth_ldap; \
	done
endif

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

## django-auth-ldap 1.2.7+dfsg

=== debian/changelog ===
django-auth-ldap (1.2.7+dfsg-1) unstable; urgency=medium

  [ Michael Fladischer ]
  * New upstream release (Closes: #806344).
  * Bump debhelper compatibility and version to 9.
  * Clean django_auth_ldap.egg-info/requires.txt to allow two builds in a row.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 16:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-django (>= 1.7~),
@@ -16,8 +16,8 @@
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/django-auth-ldap/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-auth-ldap/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-auth-ldap/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-auth-ldap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-auth-ldap.git
 
 Package: python-django-auth-ldap
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
http://pypi.debian.net/django-auth-ldap/django-auth-ldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-auth-ldap 1.2.15

=== debian/changelog ===
django-auth-ldap (1.2.15-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for 1.2.15.

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Aug 2017 14:55:19 +0200

django-auth-ldap (1.2.14+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Refresh patches for 1.2.14.

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Jul 2017 23:27:29 +0200

django-auth-ldap (1.2.13+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Jul 2017 21:04:57 +0200

django-auth-ldap (1.2.12+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2017 20:40:10 +0200

django-auth-ldap (1.2.12+dfsg-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2017 20:39:14 +0200

django-auth-ldap (1.2.11+dfsg-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 May 2017 15:30:55 +0200

django-auth-ldap (1.2.10+dfsg-1~exp1) experimental; urgency=low

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Require mockldap-0.2.7 or later for Build-Depends.
  * Bump Standards-Version to 3.9.8.
  * Use https:// for copyright-format 1.0 URL.
  * Set minimum Python2 version to 2.6.
  * Use python-pyldap instead of python-ldap in Build-Depends.
  * Remove version constraint from python-sphinx in Build-Depends, no
    longer necessary.
  * Remove version constraint from python-django and python-django-doc
    in Build-Depends, no longer necessary.
  * Remove python-ldap from manually set Depends, python-pyldap is
    picked up automatically instead.
  * Remove version constraint from python-django in Depends, no longer
    necessary.
  * Add Python3 support through a separate binary package.
  * Simplify autho-tests so they also test Python3.
  * Switch to python3-sphinx.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Mar 2017 09:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,52 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-django (>= 1.7~),
-               python-django-doc (>= 1.7~),
-               python-doc,
-               python-ldap,
-               python-mockldap,
+               python-django,
+               python-django-doc,
+               python-pyldap,
+               python-mockldap (>= 0.2.7~),
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.5
-Homepage: http://pypi.python.org/pypi/django-auth-ldap/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-auth-ldap.git
+               python3-all,
+               python3-django,
+               python3-doc,
+               python3-pyldap,
+               python3-mockldap (>= 0.2.7~),
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 4.0.0
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.3
+Homepage: https://pypi.python.org/pypi/django-auth-ldap/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-auth-ldap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-auth-ldap.git
 
 Package: python-django-auth-ldap
 Architecture: all
-Depends: python-django (>= 1.3),
-         python-ldap,
+Depends: python-django,
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-django-auth-ldap-doc
-Description: Django LDAP authentication backend
+Description: Django LDAP authentication backend (Python2 version)
  Django authentication backend that authenticates against an LDAP
  service. Configuration can be as simple as a single distinguished
  name template, but there are many rich configuration options for
  working with users, groups, and permissions.
+ .
+ This package contains the Python 2 version of the library.
+
+Package: python3-django-auth-ldap
+Architecture: all
+Depends: python3-django,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python-django-auth-ldap-doc
+Description: Django LDAP authentication backend (Python3 version)
+ Django authentication backend that authenticates against an LDAP
+ service. Configuration can be as simple as a single distinguished
+ name template, but there are many rich configuration options for
+ working with users, groups, and permissions.
+ .
+ This package contains the Python 3 version of the library.
 
 Package: python-django-auth-ldap-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-auth-ldap
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} {dir}/test/manage.py test django_auth_ldap"

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

## django-auth-ldap 1.3.0

=== debian/control ===
Source: django-auth-ldap
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-django,
 python-django-doc,
 python-mockldap (>= 0.2.7~),
 python-pyldap,
 python-setuptools,
 python3-all,
 python3-django,
 python3-doc,
 python3-mockldap (>= 0.2.7~),
 python3-pyldap,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.1
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: https://pypi.python.org/pypi/django-auth-ldap/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-auth-ldap.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-auth-ldap.git
Testsuite: autopkgtest-pkg-python

Package: python-django-auth-ldap
Architecture: all
Depends:
 python-django,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-auth-ldap-doc,
Description: Django LDAP authentication backend (Python2 version)
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.
 .
 This package contains the Python 2 version of the library.

Package: python-django-auth-ldap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django LDAP authentication backend (documentation)
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.
 .
 This package contains the documentation.

Package: python3-django-auth-ldap
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-auth-ldap-doc,
Description: Django LDAP authentication backend (Python3 version)
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-auth-ldap
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings tests.settings"

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

## django-auth-ldap 1.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = django-auth-ldap
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
django-auth-ldap (1.4.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Refresh patches and drop patch for using pyldap in Python2.
  * Bump Standards-Version to 4.1.3.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Thu, 29 Mar 2018 09:30:06 +0200

django-auth-ldap (1.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #881332).
  * Move upstream signing key to debian/upstream/signing-key.asc.
  * Refresh patches.
  * Update test runner to work with upstream changes (no more
    manage.py).
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * Use https:// for uscan URL.

 -- Michael Fladischer <fladi@debian.org>  Fri, 24 Nov 2017 12:17:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-django,
@@ -20,12 +20,12 @@
  python3-pyldap,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://pypi.python.org/pypi/django-auth-ldap/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-auth-ldap.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-auth-ldap.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-auth-ldap.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-auth-ldap
 Testsuite: autopkgtest-pkg-python
 
 Package: python-django-auth-ldap

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-auth-ldap
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -N docs/source/ $(CURDIR)/debian/python-django-auth-ldap-doc/usr/share/doc/python-django-auth-ldap-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings tests.settings"

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-auth-ldap/django-auth-ldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-auth-ldap 1.7.0

=== debian/changelog ===
django-auth-ldap (1.7.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Refresh patches.
  * Add patch to open tests.ldif as UTF-8 for Python 2 compatibility.
  * Add ldap-utils and slapd to Build-Depends as tests depend on them.
  * Change source directory for documentation.
  * Add python(3)-mock to Build-Depends to satisfy test requirements.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 22 Dec 2018 21:04:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html -N docs/source/ $(CURDIR)/debian/python-django-auth-ldap-doc/usr/share/doc/python-django-auth-ldap-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-auth-ldap-doc/usr/share/doc/python-django-auth-ldap-doc/html
 	dh_sphinxdoc
 endif

## django-auth-ldap 2.0.0

=== debian/changelog ===
django-auth-ldap (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 12:36:55 +0500

django-auth-ldap (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches and drop Python2 compatibility patch.
  * Remove Python2 support.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove signing key as upstream releases are no longer signed.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 10:29:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,44 +5,23 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-django,
- python-django-doc,
- python-mockldap (>= 0.2.7~),
- python-pyldap,
- python-setuptools,
+ ldap-utils,
  python3-all,
  python3-django,
  python3-doc,
+ python3-mock,
  python3-mockldap (>= 0.2.7~),
  python3-pyldap,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+ slapd,
+Standards-Version: 4.4.0
 Homepage: https://pypi.python.org/pypi/django-auth-ldap/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-auth-ldap.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-auth-ldap
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-auth-ldap
-Architecture: all
-Depends:
- python-django,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-django-auth-ldap-doc,
-Description: Django LDAP authentication backend (Python2 version)
- Django authentication backend that authenticates against an LDAP
- service. Configuration can be as simple as a single distinguished
- name template, but there are many rich configuration options for
- working with users, groups, and permissions.
- .
- This package contains the Python 2 version of the library.
 
 Package: python-django-auth-ldap-doc
 Section: doc

## django-auth-ldap 2.1.0

=== debian/changelog ===
django-auth-ldap (2.1.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Dec 2019 09:21:17 +0100

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  python3-setuptools,
  python3-sphinx,
  slapd,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/django-auth-ldap/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-auth-ldap.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-auth-ldap
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-auth-ldap-doc
 Section: doc

## django-auth-ldap 2.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = python -msphinx
+SPHINXOPTS    = -n -W
+SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = django-auth-ldap
-SOURCEDIR     = source
-BUILDDIR      = build
+SOURCEDIR     = .
+BUILDDIR      = _build
 
 # Put it first so that "make" without argument is like "make help".
 help:

=== debian/changelog ===
django-auth-ldap (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Jun 2020 23:15:59 +0200

django-auth-ldap (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.0.
  * Remove debian/upstream-signing-key.pgp from include-binaries, no
    longer used.
  * Remove unused Files-Excluded from debian/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 26 Apr 2020 21:48:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  ldap-utils,
  python3-all,
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-sphinx,
  slapd,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/django-auth-ldap/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-auth-ldap.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-auth-ldap

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 
 %:
-	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-auth-ldap/django-auth-ldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
